Mailinglist Archive: yast-devel (144 mails)

< Previous Next >
[yast-devel] Failing UIs without packageselector packages installed
  • From: Stanislav Visnovsky <visnov@xxxxxxx>
  • Date: Wed, 20 Feb 2008 10:23:49 +0100
  • Message-id: <200802201023.49874.visnov@xxxxxxx>
Hi!

I've noticed that you finally managed put the packagemanager out of UIs for Qt
and ncurses. Cool stuff!

However, this makes 'yast2 sw_single' fail in pretty bad way (error message on
command line, without a crash dialog, only log reveals the issue).

Would it be better if UI report that it does not support the given widget, if
the needed .so cannot be found? This way, YCP code can handle the failure
gracefully.

Stano
--
To unsubscribe, e-mail: yast-devel+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: yast-devel+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages